{* :Admin:Katalog:Vlastnosti:Seznam:default *}
{block content}
    {*============================== BREADCRUMB ==============================*}
    <section class="border-bottom" id="breadcrumb">
        <nav class="p-3 bg-light">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
                <li class="breadcrumb-item active"><i class="fas fa-shopping-cart me-1"></i>Katalog</li>
                <li class="breadcrumb-item active"><i class="fa-regular fa-file-lines me-1"></i>Vlastnosti</li>
            </ol>
        </nav>
    </section>
    {*============================== CONTENT ==============================*}
    <section class="container-xxl mb-3">
        <h1 n:block="title">Katalog - vlastnosti</h1>
        {* filtrace *}
        <section class="row border-bottom mb-0 py-2">
            <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
                <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input type="text" id="kat-vlastnosti-filter-nazev" class="form-control" placeholder="Název">
                    </div>
                    <button class="btn btn-outline-success me-2" onclick="selectKatVlastnostiFilter()">Filtrovat</button>
                    <button class="btn btn-outline-secondary" onclick="selectKatVastnostiFilterOff()">Reset</button>
                </div>
            </div>
            <div class="col-12 col-xl-3 d-flex justify-content-end">
                {control novaVlastnost}
            </div>
        </section>
        {*seznam*}
        {snippet list}
            {*====== PAGINATOR ========*}
            {if (!empty($data))}
                {control paginator}
            {/if}
            {*====== TABLE ========*}
            <section>
                <div class="table-responsive">
                    <table class="table table-striped table-responsive">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Název</th>
                            <th scope="col" class="text-center">Filtrovatelná</th>
                            <th scope="col"></th>
                        </tr>
                        </thead>
                        <tbody>
                        {if (!empty($data))}
                            {foreach $data as $one}
                                <tr>
                                    <td>{$one->id}</td>
                                    <th scope="col">{$one->nazev}</th>
                                    <td class="text-center">
                                        {switch $one->filtr}
                                            {case 1}
                                            <a class="ajax" n:href="changeFiltrovat! $one->id, $filter, $page">
                                                <i class="fas fa-square-check text-success"></i>
                                            </a>
                                        {case 0}
                                            <a class="ajax" n:href="changeFiltrovat! $one->id, $filter, $page">
                                                <i class="fas fa-rectangle-xmark text-danger"></i>
                                            </a>
                                        {default}
                                            <i class="fas fa-question"></i> {$one->filtr}
                                        {/switch}
                                    </td>
                                    <td>
                                        <div class="d-flex justify-content-end gap-3">
                                            {control editVlastnost-$one->id}
                                            {control vymazVlastnost-$one->id}
                                        </div>
                                    </td>
                                </tr>
                            {/foreach}
                        {else}
                            <tr>
                                <td colspan="4" class="text-center">
                                    Žádná data k zobrazení
                                </td>
                            </tr>
                        {/if}
                        </tbody>
                    </table>
                </div>
            </section>
        {/snippet}
    </section>
{/block}
{block scripts}
    <script>
        function selectKatVlastnostiFilter()
        {
            let nazev = $('#kat-vlastnosti-filter-nazev').val();

            let data = [];

            if(nazev != '')
            {
                data['nazev'] = nazev;
            }

            naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
        }

        function selectKatVastnostiFilterOff()
        {
            let data = [];

            $('#kat-vlastnosti-filter-nazev').val('');

            naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
        }
    </script>
{/block}